/////////////////////////////////////////////////////////////////////////////////////////
//
// DS18B20 Library V2
//
// --------------------------------------------------------------------------------------
// 
// Filename:      ds18b20.h
// Version:       2.0
// Date:          01/11/2011
// Author:        Joel Guittet - http://myfreescalewebpage.free.fr
//
/////////////////////////////////////////////////////////////////////////////////////////
//
// Revisions
//
// Version	| Author		| Description
// --------------------------------------------------------------------------------------
// 2.0      | Joel Guittet  | Initial Release
//
/////////////////////////////////////////////////////////////////////////////////////////


#ifndef DS18B20_H_
#define DS18B20_H_


//---------------------------------------------------------------------------------------
// Include
//---------------------------------------------------------------------------------------

#include <hidef.h>
#include "derivative.h"
#include "typedef.h"
#include "1-wire.h"


//---------------------------------------------------------------------------------------
// Definitions
//---------------------------------------------------------------------------------------

/* DS18B20 device */
typedef struct
{
	t_OneWireInterface OneWireInterface;
	t_OneWireResetResult Status;
	UINT16 Temperature;
}
t_DS18B20Device;


//---------------------------------------------------------------------------------------
// Prototypes
//---------------------------------------------------------------------------------------

t_OneWireResetResult DS18B20_Init(t_DS18B20Device * pxDevice, UINT8 * pu8PortData, UINT8 * pu8PortDataDirection, UINT8 u8Bit, UINT8 u8Resolution);
t_OneWireResetResult DS18B20_ConvertT(t_DS18B20Device * pxDevice);
t_OneWireResetResult DS18B20_ReadT(t_DS18B20Device * pxDevice);


#endif
